Skip to main content
GET
Fetch stored media for a session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Session ID the media belongs to

storage_key
string
required

Storage key of the media to fetch

Query Parameters

type
enum<string> | null

Session type (agent, team, or workflow). If not provided, auto-detected from session data.

Available options:
agent,
team,
workflow
user_id
string | null

User ID to query session from

db_id
string | null

Database ID to query session from

table
string | null

Table to query session from

redirect
boolean
default:false

Redirect to a freshly-signed URL instead of streaming bytes

Response

The media bytes, served with the stored mime type